// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.3
// 	protoc        (unknown)
// source: proto/cell_info.proto

package proto

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SequenceRange struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Minval        int64                  `protobuf:"varint,1,opt,name=minval,proto3" json:"minval,omitempty"`
	Maxval        int64                  `protobuf:"varint,2,opt,name=maxval,proto3" json:"maxval,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *SequenceRange) Reset() {
	*x = SequenceRange{}
	mi := &file_proto_cell_info_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *SequenceRange) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SequenceRange) ProtoMessage() {}

func (x *SequenceRange) ProtoReflect() protoreflect.Message {
	mi := &file_proto_cell_info_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SequenceRange.ProtoReflect.Descriptor instead.
func (*SequenceRange) Descriptor() ([]byte, []int) {
	return file_proto_cell_info_proto_rawDescGZIP(), []int{0}
}

func (x *SequenceRange) GetMinval() int64 {
	if x != nil {
		return x.Minval
	}
	return 0
}

func (x *SequenceRange) GetMaxval() int64 {
	if x != nil {
		return x.Maxval
	}
	return 0
}

type CellInfo struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Id            int64                  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Address       string                 `protobuf:"bytes,3,opt,name=address,proto3" json:"address,omitempty"`
	SessionPrefix string                 `protobuf:"bytes,4,opt,name=session_prefix,json=sessionPrefix,proto3" json:"session_prefix,omitempty"`
	SequenceRange *SequenceRange         `protobuf:"bytes,5,opt,name=sequence_range,json=sequenceRange,proto3" json:"sequence_range,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *CellInfo) Reset() {
	*x = CellInfo{}
	mi := &file_proto_cell_info_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *CellInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CellInfo) ProtoMessage() {}

func (x *CellInfo) ProtoReflect() protoreflect.Message {
	mi := &file_proto_cell_info_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CellInfo.ProtoReflect.Descriptor instead.
func (*CellInfo) Descriptor() ([]byte, []int) {
	return file_proto_cell_info_proto_rawDescGZIP(), []int{1}
}

func (x *CellInfo) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *CellInfo) GetAddress() string {
	if x != nil {
		return x.Address
	}
	return ""
}

func (x *CellInfo) GetSessionPrefix() string {
	if x != nil {
		return x.SessionPrefix
	}
	return ""
}

func (x *CellInfo) GetSequenceRange() *SequenceRange {
	if x != nil {
		return x.SequenceRange
	}
	return nil
}

type GetCellsRequest struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetCellsRequest) Reset() {
	*x = GetCellsRequest{}
	mi := &file_proto_cell_info_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetCellsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetCellsRequest) ProtoMessage() {}

func (x *GetCellsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_proto_cell_info_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetCellsRequest.ProtoReflect.Descriptor instead.
func (*GetCellsRequest) Descriptor() ([]byte, []int) {
	return file_proto_cell_info_proto_rawDescGZIP(), []int{2}
}

type GetCellsResponse struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	Cells         []*CellInfo            `protobuf:"bytes,1,rep,name=cells,proto3" json:"cells,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *GetCellsResponse) Reset() {
	*x = GetCellsResponse{}
	mi := &file_proto_cell_info_proto_msgTypes[3]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *GetCellsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetCellsResponse) ProtoMessage() {}

func (x *GetCellsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_proto_cell_info_proto_msgTypes[3]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetCellsResponse.ProtoReflect.Descriptor instead.
func (*GetCellsResponse) Descriptor() ([]byte, []int) {
	return file_proto_cell_info_proto_rawDescGZIP(), []int{3}
}

func (x *GetCellsResponse) GetCells() []*CellInfo {
	if x != nil {
		return x.Cells
	}
	return nil
}

var File_proto_cell_info_proto protoreflect.FileDescriptor

var file_proto_cell_info_proto_rawDesc = []byte{
	0x0a, 0x15, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x63, 0x65, 0x6c, 0x6c, 0x5f, 0x69, 0x6e, 0x66,
	0x6f, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x1d, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x22, 0x3f, 0x0a, 0x0d, 0x53, 0x65, 0x71, 0x75, 0x65, 0x6e,
	0x63, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x6d, 0x69, 0x6e, 0x76, 0x61,
	0x6c, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x06, 0x6d, 0x69, 0x6e, 0x76, 0x61, 0x6c, 0x12,
	0x16, 0x0a, 0x06, 0x6d, 0x61, 0x78, 0x76, 0x61, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x06, 0x6d, 0x61, 0x78, 0x76, 0x61, 0x6c, 0x22, 0xb0, 0x01, 0x0a, 0x08, 0x43, 0x65, 0x6c, 0x6c,
	0x49, 0x6e, 0x66, 0x6f, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x61, 0x64, 0x64, 0x72, 0x65, 0x73, 0x73, 0x12, 0x25,
	0x0a, 0x0e, 0x73, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x5f, 0x70, 0x72, 0x65, 0x66, 0x69, 0x78,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x73, 0x65, 0x73, 0x73, 0x69, 0x6f, 0x6e, 0x50,
	0x72, 0x65, 0x66, 0x69, 0x78, 0x12, 0x53, 0x0a, 0x0e, 0x73, 0x65, 0x71, 0x75, 0x65, 0x6e, 0x63,
	0x65, 0x5f, 0x72, 0x61, 0x6e, 0x67, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70,
	0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x2e, 0x53, 0x65,
	0x71, 0x75, 0x65, 0x6e, 0x63, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x52, 0x0d, 0x73, 0x65, 0x71,
	0x75, 0x65, 0x6e, 0x63, 0x65, 0x52, 0x61, 0x6e, 0x67, 0x65, 0x22, 0x11, 0x0a, 0x0f, 0x47, 0x65,
	0x74, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x51, 0x0a,
	0x10, 0x47, 0x65, 0x74, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x3d, 0x0a, 0x05, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x27, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e,
	0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65,
	0x2e, 0x43, 0x65, 0x6c, 0x6c, 0x49, 0x6e, 0x66, 0x6f, 0x52, 0x05, 0x63, 0x65, 0x6c, 0x6c, 0x73,
	0x42, 0xce, 0x01, 0x0a, 0x21, 0x63, 0x6f, 0x6d, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x74, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x5f, 0x73,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x42, 0x0d, 0x43, 0x65, 0x6c, 0x6c, 0x49, 0x6e, 0x66, 0x6f,
	0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x08, 0x2e, 0x2e, 0x2f, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0xa2, 0x02, 0x03, 0x47, 0x43, 0x54, 0xaa, 0x02, 0x1c, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x43, 0x65, 0x6c, 0x6c, 0x73, 0x2e, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53,
	0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0xca, 0x02, 0x1c, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x5c,
	0x43, 0x65, 0x6c, 0x6c, 0x73, 0x5c, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65,
	0x72, 0x76, 0x69, 0x63, 0x65, 0xe2, 0x02, 0x28, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x5c, 0x43,
	0x65, 0x6c, 0x6c, 0x73, 0x5c, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65, 0x72,
	0x76, 0x69, 0x63, 0x65, 0x5c, 0x47, 0x50, 0x42, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61,
	0xea, 0x02, 0x1e, 0x47, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x3a, 0x3a, 0x43, 0x65, 0x6c, 0x6c, 0x73,
	0x3a, 0x3a, 0x54, 0x6f, 0x70, 0x6f, 0x6c, 0x6f, 0x67, 0x79, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63,
	0x65, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_proto_cell_info_proto_rawDescOnce sync.Once
	file_proto_cell_info_proto_rawDescData = file_proto_cell_info_proto_rawDesc
)

func file_proto_cell_info_proto_rawDescGZIP() []byte {
	file_proto_cell_info_proto_rawDescOnce.Do(func() {
		file_proto_cell_info_proto_rawDescData = protoimpl.X.CompressGZIP(file_proto_cell_info_proto_rawDescData)
	})
	return file_proto_cell_info_proto_rawDescData
}

var file_proto_cell_info_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_proto_cell_info_proto_goTypes = []any{
	(*SequenceRange)(nil),    // 0: gitlab.cells.topology_service.SequenceRange
	(*CellInfo)(nil),         // 1: gitlab.cells.topology_service.CellInfo
	(*GetCellsRequest)(nil),  // 2: gitlab.cells.topology_service.GetCellsRequest
	(*GetCellsResponse)(nil), // 3: gitlab.cells.topology_service.GetCellsResponse
}
var file_proto_cell_info_proto_depIdxs = []int32{
	0, // 0: gitlab.cells.topology_service.CellInfo.sequence_range:type_name -> gitlab.cells.topology_service.SequenceRange
	1, // 1: gitlab.cells.topology_service.GetCellsResponse.cells:type_name -> gitlab.cells.topology_service.CellInfo
	2, // [2:2] is the sub-list for method output_type
	2, // [2:2] is the sub-list for method input_type
	2, // [2:2] is the sub-list for extension type_name
	2, // [2:2] is the sub-list for extension extendee
	0, // [0:2] is the sub-list for field type_name
}

func init() { file_proto_cell_info_proto_init() }
func file_proto_cell_info_proto_init() {
	if File_proto_cell_info_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_proto_cell_info_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_proto_cell_info_proto_goTypes,
		DependencyIndexes: file_proto_cell_info_proto_depIdxs,
		MessageInfos:      file_proto_cell_info_proto_msgTypes,
	}.Build()
	File_proto_cell_info_proto = out.File
	file_proto_cell_info_proto_rawDesc = nil
	file_proto_cell_info_proto_goTypes = nil
	file_proto_cell_info_proto_depIdxs = nil
}
